Eclipse GEF 3.2

## org.eclipse.gef
Class AccessibleEditPart

    java.lang.Object
      org.eclipse.draw2d.AccessibleBase
          org.eclipse.gef.AccessibleEditPart

Direct Known Subclasses:
  AbstractGraphicalEditPart.AccessibleGraphicalEditPart

public abstract class AccessibleEditPart
extends AccessibleBase

This class provides Accessibility support for `EditParts`. EditParts are the unit of selection in GEF. When selection changes, Accessibility clients are notified. These clients then query the EditPartViewer for various accessibility information.

EditParts must provide AccessibileEditPart adapters in order to work with screen-readers, screen magnifiers, and other accessibility tools. EditParts should override `AbstractEditPart.getAccessibleEditPart()`.

Constructor Summary
`AccessibleEditPart()`

Method Summary
`abstract void` `getChildCount(AccessibleControlEvent e)`
`abstract void` `getChildren(AccessibleControlEvent e)`
`void` `getDefaultAction(AccessibleControlEvent e)`
`void` `getDescription(AccessibleEvent e)`
`void` `getHelp(AccessibleEvent e)`
`void` `getKeyboardShortcut(AccessibleEvent e)`
`abstract void` `getLocation(AccessibleControlEvent e)`
`abstract void` `getName(AccessibleEvent e)`
`void` `getRole(AccessibleControlEvent e)`
`abstract void` `getState(AccessibleControlEvent e)`
`void` `getValue(AccessibleControlEvent e)`

Methods inherited from class org.eclipse.draw2d.AccessibleBase
`getAccessibleID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessibleEditPart

    public AccessibleEditPart()

Method Detail

### getChildCount

    public abstract void getChildCount(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getChildCount( AccessibleControlEvent)`

### getChildren

    public abstract void getChildren(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getChildren( AccessibleControlEvent)`

### getDefaultAction

    public void getDefaultAction(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getDefaultAction( AccessibleControlEvent)`

### getDescription

    public void getDescription(AccessibleEvent e)

  Parameters:
    `e` - AccessibleEvent
  See Also:
    `AccessibleAdapter.getDescription(AccessibleEvent)`

### getKeyboardShortcut

    public void getKeyboardShortcut(AccessibleEvent e)

  Parameters:
    `e` - AccessibleEvent
  See Also:
    `AccessibleAdapter.getKeyboardShortcut( AccessibleEvent)`

### getHelp

    public void getHelp(AccessibleEvent e)

  Parameters:
    `e` - AccessibleEvent
  See Also:
    `AccessibleAdapter.getHelp(AccessibleEvent)`

### getName

    public abstract void getName(AccessibleEvent e)

  Parameters:
    `e` - AccessibleEvent
  See Also:
    `AccessibleAdapter.getName(AccessibleEvent)`

### getLocation

    public abstract void getLocation(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getLocation( AccessibleControlEvent)`

### getRole

    public void getRole(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getRole( AccessibleControlEvent)`

### getState

    public abstract void getState(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getState( AccessibleControlEvent)`

### getValue

    public void getValue(AccessibleControlEvent e)

  Parameters:
    `e` - AccessibleControlEvent
  See Also:
    `AccessibleControlAdapter.getValue( AccessibleControlEvent)`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.